org.apache.solr.common.cloud

## Interface LiveNodesPredicate

    public interface LiveNodesPredicate

Interface to determine if live nodes matches a required state

See Also:
  `ZkStateReader.waitForLiveNodes(long, TimeUnit, LiveNodesPredicate)`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `matches(SortedSet<String> oldLiveNodes, SortedSet<String> newLiveNodes)`

### Method Detail

#### matches

    boolean matches(SortedSet<String> oldLiveNodes,
                    SortedSet<String> newLiveNodes)